public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/prefix:master commit in: dev-libs/xerces-c/
Date: Mon,  7 Dec 2020 18:30:01 +0000 (UTC)	[thread overview]
Message-ID: <1607365064.0c01a35ab815a0e08cecb9061a99cfcbd7c172e5.sam@gentoo> (raw)

commit:     0c01a35ab815a0e08cecb9061a99cfcbd7c172e5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  7 18:17:44 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Dec  7 18:17:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=0c01a35a

dev-libs/xerces-c: sync with ::gentoo (bump to 3.2.3)

Keeping the old ebuild for now because this drags in cmake.

Package-Manager: Portage-3.0.10.3-prefix, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/xerces-c/Manifest              |   1 +
 dev-libs/xerces-c/xerces-c-3.2.3.ebuild | 116 ++++++++++++++++++++++++++++++++
 2 files changed, 117 insertions(+)

diff --git a/dev-libs/xerces-c/Manifest b/dev-libs/xerces-c/Manifest
index 2bfdd810c8..3ebaff7d76 100644
--- a/dev-libs/xerces-c/Manifest
+++ b/dev-libs/xerces-c/Manifest
@@ -1 +1,2 @@
 DIST xerces-c-3.1.4.tar.gz 6992545 BLAKE2B 463e721843632b13f4b5c845f14cf9ab4f093085558858b435ae5a3122951ab590f9e56f43add1aeaf7dc244814710be804ab0331a1d1e8073919ad9d3b61068 SHA512 8afd775bac0345a2714b77a1ae2cfb8ae67f0239ec7370de7d89612dec64d2e1df48612c875fe239ab6f2eb31914c2d3914617e6b34a1bae0bbb14e4dbc787b5
+DIST xerces-c-3.2.3.tar.gz 7120270 BLAKE2B d622621657f33ada75a9ef330e77772b8f9cff717d8efc06f2a1fffea77360596e5192b48a6a015403a1045aa2492c626ba05f1de15eb5b997a80ca19b032db8 SHA512 206c5c31510224b8f6963b051f27968e4fe70374a0adb2c2990ac1f865b3bac41f63e6bfb7279faa21477f8878a3b9671ba70726fc75a84e51f037ef158639ad

diff --git a/dev-libs/xerces-c/xerces-c-3.2.3.ebuild b/dev-libs/xerces-c/xerces-c-3.2.3.ebuild
new file mode 100644
index 0000000000..cbc9c8428d
--- /dev/null
+++ b/dev-libs/xerces-c/xerces-c-3.2.3.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+: ${CMAKE_MAKEFILE_GENERATOR:=ninja}
+
+inherit cmake-utils prefix
+
+DESCRIPTION="A validating XML parser written in a portable subset of C++"
+HOMEPAGE="https://xerces.apache.org/xerces-c/"
+
+if [[ ${PV} == *9999 ]] ; then
+	ESVN_REPO_URI="https://svn.apache.org/repos/asf/xerces/c/trunk"
+	inherit subversion
+else
+	SRC_URI="mirror://apache/xerces/c/3/sources/${P}.tar.gz"
+	KEYWORDS="~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris ~x86-winnt"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+IUSE="cpu_flags_x86_sse2 curl doc elibc_Darwin elibc_FreeBSD examples iconv icu static-libs test threads"
+RESTRICT="!test? ( test )"
+
+RDEPEND="icu? ( dev-libs/icu:0= )
+	curl? ( net-misc/curl )
+	virtual/libiconv"
+DEPEND="${RDEPEND}
+	doc? ( app-doc/doxygen )
+	test? ( dev-lang/perl )"
+
+DOCS=( CREDITS KEYS NOTICE README )
+
+pkg_setup() {
+	export ICUROOT="${EPREFIX}/usr"
+
+	if use iconv && use icu; then
+		ewarn "This package can use iconv or icu for loading messages"
+		ewarn "and transcoding, but not both. ICU takes precedence."
+	fi
+}
+
+src_configure() {
+	# 'cfurl' is only available on OSX and 'socket' isn't supposed to work.
+	# But the docs aren't clear about it, so we would need some testing...
+	local netaccessor
+	if use curl; then
+		netaccessor="curl"
+	elif use elibc_Darwin; then
+		netaccessor="cfurl"
+	else
+		netaccessor="socket"
+	fi
+
+	local msgloader
+	if use icu; then
+		msgloader="icu"
+	elif use iconv; then
+		msgloader="iconv"
+	else
+		msgloader="inmemory"
+	fi
+
+	local transcoder
+	if use icu; then
+		transcoder="icu"
+	elif use elibc_Darwin; then
+		transcoder="macosunicodeconverter"
+	elif use elibc_FreeBSD; then
+		transcoder="iconv"
+	else
+		transcoder="gnuiconv"
+	fi
+	# for interix maybe: transcoder="windows"
+
+	local mycmakeargs=(
+		-DCMAKE_INSTALL_DOCDIR="${EPREFIX}/usr/share/doc/${PF}"
+		-Dnetwork-accessor="${netaccessor}"
+		-Dmessage-loader="${msgloader}"
+		-Dtranscoder="${transcoder}"
+		-Dthreads:BOOL="$(usex threads)"
+		-Dsse2:BOOL="$(usex cpu_flags_x86_sse2)"
+	)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+
+	use doc && cmake-utils_src_compile doc-style createapidocs doc-xml
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	# package provides .pc files
+	find "${D}" -name '*.la' -delete || die
+
+	if use examples; then
+		# clean out object files, executables, Makefiles
+		# and the like before installing examples
+		find samples/ \( -type f -executable -o -iname 'runConfigure' -o -iname '*.o' \
+			-o -iname '.libs' -o -iname 'Makefile*' \) -exec rm -rf '{}' + || die
+		docinto examples
+		dodoc -r samples/.
+		docompress -x /usr/share/doc/${PF}/examples
+	fi
+
+	# To make sure an appropriate NLS msg file is around when using
+	# the iconv msgloader ICU has the messages compiled in.
+	if use iconv && ! use icu; then
+		doenvd "$(prefixify_ro "${FILESDIR}/50xerces-c")"
+	fi
+}


             reply	other threads:[~2020-12-07 18:30 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-07 18:30 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-12-07 18:30 [gentoo-commits] repo/proj/prefix:master commit in: dev-libs/xerces-c/ Sam James
2020-12-20 15:00 Fabian Groffen
2021-01-06 11:58 Fabian Groffen

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1607365064.0c01a35ab815a0e08cecb9061a99cfcbd7c172e5.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox